javax.swing.plaf.metal

## Class MetalFileChooserUI.SingleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.metal.MetalFileChooserUI.SingleClickListener

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    MetalFileChooserUI

      protected class MetalFileChooserUI.SingleClickListener
      extends MouseAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetalFileChooserUI.SingleClickListener(JList list)`

  - ### Method Summary

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetalFileChooserUI.SingleClickListener

          public MetalFileChooserUI.SingleClickListener(JList list)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.